#3111 closed enhancement (fixed)

Newlib: Change time_t and clock_t integer types to 64-bit

Reported by: Sebastian Huber Owned by: Sebastian Huber
Priority: normal Milestone: 5.1
Component: tool/newlib Version: 5
Severity: normal Keywords:
Cc: Blocked By:
Blocking:

Description


Change History (10)

comment:1 Changed on Aug 24, 2017 at 7:26:05 AM by Sebastian Huber

Summary: Newlib: Change time_t and clock_t integer types to at 64-bitNewlib: Change time_t and clock_t integer types to 64-bit

comment:2 Changed on Aug 25, 2017 at 12:37:43 PM by Sebastian Huber <sebastian.huber@…>

In 4f364ef/rtems-source-builder:

4.12: Change clock_t to 64-bit

Update #2135.
Update #3111.

comment:3 Changed on Oct 5, 2017 at 12:34:58 PM by Sebastian Huber <sebastian.huber@…>

In 76d9db3/rtems-source-builder:

4.12: Update to Newlib 2.5.0.20170922

The time_t is now a 64-bit signed integer.

This update includes a patch to introduce the self-contained POSIX
synchronization objects.

Update #2514.
Update #3111.
Update #3112.
Update #3113.
Update #3114.
Update #3115.
Update #3116.

comment:4 Changed on Oct 5, 2017 at 12:35:53 PM by Sebastian Huber <sebastian.huber@…>

In e46a075/rtems:

Enforce compatible Newlib version

This Newlib check ensures that we have a 64-bit time_t and
self-contained POSIX synchronization objects.

Update #2514.
Update #3111.
Update #3112.
Update #3113.
Update #3114.
Update #3115.
Update #3116.

comment:5 Changed on Oct 6, 2017 at 7:43:41 AM by Sebastian Huber <sebastian.huber@…>

In 900fda45/rtems:

rtems: Fix format warnings

Update #3111.

comment:6 Changed on Oct 9, 2017 at 5:24:27 AM by Sebastian Huber <sebastian.huber@…>

In 6489bcb/rtems:

psxtests/psx05: Fix timeout calculation

Update #3111.

comment:7 Changed on Oct 12, 2017 at 12:17:33 AM by Joel Sherrill

Owner: changed from chrisj@… to Sebastian Huber
Status: newassigned

Sebastian .. is this ready to close or is there something left to do?

comment:8 Changed on Oct 12, 2017 at 11:19:49 AM by Sebastian Huber

Component: tooltool/newlib
Resolution: fixed
Status: assignedclosed
Version: 4.12

comment:9 Changed on Nov 9, 2017 at 6:27:14 AM by Sebastian Huber

Milestone: 4.12.05.1

Milestone renamed

comment:10 Changed on Jan 29, 2018 at 5:59:28 AM by Sebastian Huber <sebastian.huber@…>

In d8de6b9/rtems:

ada: Fix RTEMS.Time_t

Update #3111.

Note: See TracTickets for help on using tickets.